package com.clx.performance.sqlProvider.settle;

import com.clx.performance.enums.settle.SettlementDriverEnum;
import org.apache.ibatis.jdbc.SQL;

public class SettlementDriverDetailSqlProvider {


    public String listUnPay() {
        return new SQL(){{
            SELECT("a.* ");
            FROM("settlement_owner_detail a ");
            LEFT_OUTER_JOIN("settlement_driver b on a.settlement_no = b.settlement_no");
            WHERE("b.create_time >= #{beginTime}");
            WHERE("b.status = " + SettlementDriverEnum.Status.WAIT_SETTLEMENT.getCode());
            ORDER_BY("b.create_time");
        }}.toString();
    }


    public String findByDriverSettlementIds() {
        return new SQL(){{
            SELECT("a.* ");
            FROM("settlement_owner_detail a ");
            LEFT_OUTER_JOIN("settlement_driver b on a.settlement_no = b.settlement_no");
            WHERE("b.id IN ");
            ORDER_BY("b.create_time");
        }}.toString();
    }

}
